function perovskite_plotting
loper_tmp = load('Perovskite_Loper_2015.txt');
loper_wl = loper_tmp(:,1);
loper_n = loper_tmp(:,2);
loper_k = loper_tmp(:,3);
Urbach_tmp = load('Perovskite_E_u_0485.txt');
Urbach_wl = Urbach_tmp(:,1);
Urbach_n = Urbach_tmp(:,2);
Urbach_k = Urbach_tmp(:,3);
Bjorn_tmp = load('CH3NH3PbI3.txt');
Bjorn_wl = Bjorn_tmp(:,1);
Bjorn_n = Bjorn_tmp(:,2);
Bjorn_k = Bjorn_tmp(:,3);
Ball_tmp = load('Perovskite_Ball.txt');
Ball_wl = Ball_tmp(:,1);
Ball_n = Ball_tmp(:,2);
Ball_k = Ball_tmp(:,3);

hold on
plot(loper_wl,loper_n,'b',loper_wl,loper_k,'r');
plot(Bjorn_wl,Bjorn_n,'b--',Bjorn_wl,Bjorn_k,'r--');
plot(Ball_wl,Ball_n,'b*',Ball_wl,Ball_k,'r*');
plot(Urbach_wl,Urbach_n,'k',Urbach_wl,Urbach_k,'k');
xlim([350,1200]);
legend('Loper n','Loper k','Bjorn n','Bjorn k','Ball n','Ball k','Urbach n','Urbach k')
hold off